<?php
/**
 * Archive page template - "Masonry sidebar" layout
 *
 * @package Multi
 */

?>
<?php $multimagazine_post_args = multimagazine_postlist_meta_flags(); ?>
<main class="main postlist">
	<?php get_template_part( 'archive-heading' ); ?>

	<div class="postlist postlist-masonry masonry m2 <?php echo esc_attr( multimagazine_get_post_loading_classes() ); ?>">
		<?php
		if ( have_posts() ) {
			$multimagazine_post_args = multimagazine_postlist_meta_flags();

			while ( have_posts() ) {
				the_post();
				get_template_part( 'post-list-parts/post-masonry', null, $multimagazine_post_args );
			}
		} else {
			get_template_part( 'template-parts/archive-empty' );
		}
		?>
	</div>

	<?php get_template_part( 'template-parts/pager' ); ?>
	<?php get_template_part( 'archive-description' ); ?>
</main>
